<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class Authenticate {

    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null) {
        if (Auth::guard($guard)->guest()) {
            debug("guard is guest");
            if ($request->ajax() || $request->wantsJson()) {
                return abort(403);
            } elseif (!$request->is("/")) {
                return redirect()->guest('login');
            }
        }
        
        return $next($request);
    }

}
